gnutls_tpm_key_list_get_url(3)

NAME
gnutls_tpm_key_list_get_url - API function

SYNOPSIS
#include <gnutls/tpm.h>

int gnutls_tpm_key_list_get_url(gnutls_tpm_key_list_t list, unsigned int idx, char ** url, unsigned int flags);

ARGUMENTS

gnutls_tpm_key_list_t list
    a list of the keys

unsigned int idx
    The index of the key (starting from zero)

char ** url
    The URL to be returned

unsigned int flags
    should be zero

DESCRIPTION
This function will return for each given index a URL of the corresponding key. If the provided index is out of bounds then GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/